<?php

namespace App\Interfaces;

interface DailyRepositoryInterface
{
    public function all();
    public function datatable(int $sitesId = null, int $shiftId = null, string $date = null);
    public function find($id);
    public function create(array $data);
    public function update($id, array $data);
    public function delete($id);
}
